Skip to main content
POST
/
contents
curl -X POST 'https://api.exa.ai/contents' \
  -H 'x-api-key: YOUR-EXA-API-KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "urls": ["https://arxiv.org/abs/2307.06435"],
    "text": true
  }'
{
  "requestId": "e492118ccdedcba5088bfc4357a8a125",
  "results": [
    {
      "title": "A Comprehensive Overview of Large Language Models",
      "url": "https://arxiv.org/pdf/2307.06435.pdf",
      "publishedDate": "2023-11-16T01:36:32.547Z",
      "author": "Humza  Naveed, University of Engineering and Technology (UET), Lahore, Pakistan",
      "id": "https://arxiv.org/abs/2307.06435",
      "image": "https://arxiv.org/pdf/2307.06435.pdf/page_1.png",
      "favicon": "https://arxiv.org/favicon.ico",
      "text": "Abstract Large Language Models (LLMs) have recently demonstrated remarkable capabilities...",
      "highlights": [
        "Such requirements have limited their adoption..."
      ],
      "highlightScores": [
        0.4600165784358978
      ],
      "summary": "This overview paper on Large Language Models (LLMs) highlights key developments...",
      "subpages": [
        {
          "id": "https://arxiv.org/abs/2303.17580",
          "url": "https://arxiv.org/pdf/2303.17580.pdf",
          "title": "HuggingGPT: Solving AI Tasks with ChatGPT and its Friends in Hugging Face",
          "author": "Yongliang  Shen, Microsoft Research Asia, Kaitao  Song, Microsoft Research Asia, Xu  Tan, Microsoft Research Asia, Dongsheng  Li, Microsoft Research Asia, Weiming  Lu, Microsoft Research Asia, Yueting  Zhuang, Microsoft Research Asia, yzhuang@zju.edu.cn, Zhejiang  University, Microsoft Research Asia, Microsoft  Research, Microsoft Research Asia",
          "publishedDate": "2023-11-16T01:36:20.486Z",
          "text": "HuggingGPT: Solving AI Tasks with ChatGPT and its Friends in Hugging Face Date Published: 2023-05-25 Authors: Yongliang Shen, Microsoft Research Asia Kaitao Song, Microsoft Research Asia Xu Tan, Microsoft Research Asia Dongsheng Li, Microsoft Research Asia Weiming Lu, Microsoft Research Asia Yueting Zhuang, Microsoft Research Asia, yzhuang@zju.edu.cn Zhejiang University, Microsoft Research Asia Microsoft Research, Microsoft Research Asia Abstract Solving complicated AI tasks with different domains and modalities is a key step toward artificial general intelligence. While there are abundant AI models available for different domains and modalities, they cannot handle complicated AI tasks. Considering large language models (LLMs) have exhibited exceptional ability in language understanding, generation, interaction, and reasoning, we advocate that LLMs could act as a controller to manage existing AI models to solve complicated AI tasks and language could be a generic interface to empower t",
          "summary": "HuggingGPT is a framework using ChatGPT as a central controller to orchestrate various AI models from Hugging Face to solve complex tasks. ChatGPT plans the task, selects appropriate models based on their descriptions, executes subtasks, and summarizes the results. This approach addresses limitations of LLMs by allowing them to handle multimodal data (vision, speech) and coordinate multiple models for complex tasks, paving the way for more advanced AI systems.",
          "highlights": [
            "2) Recently, some researchers started to investigate the integration of using tools or models in LLMs  ."
          ],
          "highlightScores": [
            0.32679107785224915
          ]
        }
      ],
      "extras": {
        "links": []
      }
    }
  ],
  "context": "<string>",
  "statuses": [
    {
      "id": "https://example.com",
      "status": "success",
      "source": "cached"
    }
  ],
  "costDollars": {
    "total": 0.007,
    "search": {
      "neural": 0.007
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://exa.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.


Get your Exa API key

Authorizations

x-api-key
string
header
required

Pass your Exa API key in the x-api-key header. You can also authenticate with Authorization: Bearer .

Body

application/json
urls
string[]
required

Array of URLs to crawl (backwards compatible with 'ids' parameter).

Required array length: 1 - 100 elements
Required string length: 1 - 2048
Example:
["https://arxiv.org/pdf/2307.06435"]
ids
string[]

Array of document IDs obtained from searches.

Required array length: 1 - 100 elements
Required string length: 1 - 2048
Example:
["https://arxiv.org/pdf/2307.06435"]
compliance
enum<string> | null

Enterprise-only compliance mode. Set to hipaa to require HIPAA-safe processing. Requests fail closed or restrict features when the requested behavior requires non-HIPAA-safe processors.

Available options:
hipaa
Example:

"hipaa"

text
default:false

Text extraction options for each result.

highlights
default:false

Text snippets the LLM identifies as most relevant from each page.

summary
object

Summary of the webpage.

extras
object

Extra parameters to pass.

context
deprecated

Deprecated: Use highlights or text instead. Returns page contents as a combined context string.

Example:

true

livecrawl
enum<string> | null
deprecated

Deprecated: Use maxAgeHours instead for content freshness control. livecrawl does not guarantee freshly fetched parser output and may be served according to server freshness policy. Do not send livecrawl and maxAgeHours together.

Available options:
never,
always,
fallback,
preferred
Example:

"preferred"

livecrawlTimeout
integer | null
default:10000

The timeout for livecrawling in milliseconds.

Required range: 0 < x <= 90000
Example:

1000

maxAgeHours
integer | null

Maximum age of cached content in hours. Positive values use cached content if it is less than this many hours old; 0 fetches fresh content and is the supported way to apply text rendering options to newly fetched pages; -1 always uses cache; omitted uses fallback fetching when cached content is unavailable. Maximum supported value is 720 hours.

Required range: -1 <= x <= 720
Example:

24

subpages
integer | null
default:0

The number of subpages to crawl. The actual number crawled may be limited by system constraints.

Required range: 0 <= x <= 100
Example:

1

subpageTarget

Term to find specific subpages of search results. Can be a single string or an array of strings.

Required string length: 1 - 100
Example:

"sources"

Response

200 - application/json

OK

requestId
string

Unique identifier for the request.

Example:

"b5947044c4b78efa9552a7c89b306d95"

results
object[]
context
string
deprecated

Deprecated. Combined context string from search results. Use highlights or text instead.

statuses
object[]

Status information for each requested URL or document ID.

costDollars
object

Endpoint-dependent estimated dollar cost breakdown for the completed request. Billing is computed from usage counters rather than this response object.